Enciphers an image

- « Imagick::embossImage

- Imagick::enhanceImage »

- PHP Manual
- Imagick
- Enciphers an image

# Imagick::encipherImage

(PECL imagick 2 >= 2.3.0, PECL imagick 3)

Imagick::encipherImage — Enciphers an image

### Description

public Imagick::encipherImage(string `$passphrase`): bool

Converts plain pixels to enciphered pixels. The image is not readable until it has been deciphered using Imagick::decipherImage() This method is available if Imagick has been compiled against ImageMagick version 6.3.9 or newer.

### Parameters

`passphrase`

  The passphrase

### Return Values

Returns `true` on success.

### See Also

- Imagick::decipherImage() - Deciphers an image